# Uses of Interface
java.awt.event.TextListener

Packages that use TextListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of TextListener in com.sun.java.accessibility.util

Fields in com.sun.java.accessibility.util declared as TextListener
Modifier and Type
Field
Description
`protected static TextListener`
AWTEventMonitor.`textListener`
Deprecated, for removal: This API element is subject to removal in a future version.
This field is unused.
Methods in com.sun.java.accessibility.util with parameters of type TextListener
Modifier and Type
Method
Description
`static void`
AWTEventMonitor.`addTextListener(TextListener l)`
Adds the specified listener to receive all `TEXT` events on each component instance in the Java Virtual Machine when they occur.
`static void`
AWTEventMonitor.`removeTextListener(TextListener l)`
Removes the specified listener so it no longer receives `TEXT` events when they occur.

## Uses of TextListener in java.awt

Classes in java.awt that implement TextListener
Modifier and Type
Class
Description
`class`
`AWTEventMulticaster`
`AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
`protected class`
`TextArea.AccessibleAWTTextArea`
This class implements accessibility support for the `TextArea` class.
`protected class`
`TextComponent.AccessibleAWTTextComponent`
This class implements accessibility support for the `TextComponent` class.
`protected class`
`TextField.AccessibleAWTTextField`
This class implements accessibility support for the `TextField` class.
Fields in java.awt declared as TextListener
Modifier and Type
Field
Description
`protected TextListener`
TextComponent.`textListener`
A list of listeners that will receive events from this object.
Methods in java.awt that return TextListener
Modifier and Type
Method
Description
`static TextListener`
AWTEventMulticaster.`add(TextListener a, TextListener b)`
Adds text-listener-a with text-listener-b and returns the resulting multicast listener.
`TextListener[]`
TextComponent.`getTextListeners()`
Returns an array of all the text listeners registered on this text component.
`static TextListener`
AWTEventMulticaster.`remove(TextListener l, TextListener oldl)`
Removes the old text-listener from text-listener-l and returns the resulting multicast listener.
Methods in java.awt with parameters of type TextListener
Modifier and Type
Method
Description
`static TextListener`
AWTEventMulticaster.`add(TextListener a, TextListener b)`
Adds text-listener-a with text-listener-b and returns the resulting multicast listener.
`void`
TextComponent.`addTextListener(TextListener l)`
Adds the specified text event listener to receive text events from this text component.
`static TextListener`
AWTEventMulticaster.`remove(TextListener l, TextListener oldl)`
Removes the old text-listener from text-listener-l and returns the resulting multicast listener.
`void`
TextComponent.`removeTextListener(TextListener l)`
Removes the specified text event listener so that it no longer receives text events from this text component If `l` is `null`, no exception is thrown and no action is performed.